Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1885034 - Review Request: python-manatools - A Python framework to build ManaTools applications
Summary: Review Request: python-manatools - A Python framework to build ManaTools appl...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Igor Raits
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1885042
Blocks: 1876299
TreeView+ depends on / blocked
 
Reported: 2020-10-04 16:04 UTC by Neal Gompa
Modified: 2020-10-06 01:00 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-06 00:16:28 UTC
Type: ---
igor.raits: fedora-review+


Attachments (Terms of Use)

Description Neal Gompa 2020-10-04 16:04:58 UTC
Spec URL: https://ngompa.fedorapeople.org/for-review/python-manatools.spec
SRPM URL: https://ngompa.fedorapeople.org/for-review/python-manatools-0.0.3-1.fc32.src.rpm

Description:
Python ManaTools aim is to help in writing tools based on libYui
(SUSE widget abstraction library), to be collected under the
ManaTools banner and hopefully with the same look and feel.

Every output module supports the Qt, GTK, and ncurses interfaces.

Fedora Account System Username: ngompa

Comment 1 Igor Raits 2020-10-04 16:08:50 UTC
> %{python3_sitelib}/python_manatools-%{version}-py%{python3_version}.egg-info

%{python3_sitelib}/python_manatools-*.egg-info/

Comment 2 Marcin Zajaczkowski 2020-10-04 16:47:28 UTC
I built it to play with one of the features of dnfdragora 2.1.0, but the there is a problem with dependencies reported on my Fedora 32:

> $ sudo dnf install ~/rpmbuild/RPMS/noarch/python3-manatools-0.0.3-1.fc32.noarch.rpm
> Last metadata expiration check ...
> Error: 
> Problem: conflicting requests
>  - nothing provides python3.8dist(argparse) needed by python3-manatools-0.0.3-1.fc32.noarch
>  - nothing provides python3.8dist(python-gettext) needed by python3-manatools-0.0.3-1.fc32.noarch
> (try to add '--skip-broken' to skip uninstallable packages)

Should there be other deps installed (and defined as "Requires")?

Comment 3 Neal Gompa 2020-10-04 17:35:04 UTC
I thought I had cleaned that out, I fixed it upstream and backported it as a patch to the existing SPEC and SRPM links.

Comment 4 Marcin Zajaczkowski 2020-10-04 18:33:13 UTC
Thanks, however, there is still a problem with gettext:

>  Problem: conflicting requests
>  - nothing provides python3.8dist(python-gettext) needed by python3-manatools-0.0.3-1.fc32.noarch

I don't see it in the Fedora repository. Maybe it is also optional.

Comment 5 Gwyn Ciesla 2020-10-05 13:29:48 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-manatools

Comment 6 Fedora Update System 2020-10-05 22:23:29 UTC
FEDORA-2020-148162045d has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-148162045d

Comment 7 Fedora Update System 2020-10-05 22:23:54 UTC
FEDORA-2020-4bde7c3634 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-4bde7c3634

Comment 8 Fedora Update System 2020-10-06 00:16:28 UTC
FEDORA-2020-148162045d has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2020-10-06 01:00:21 UTC
FEDORA-2020-4bde7c3634 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.